Subject: Re: I-D Action:draft-klensin-iaoc-member-00.txt

From: Leslie Daigle <[email-masked]>
Date: Tue, 01 Sep 2009 18:06:07 -0400

I'm having troubles reconciling a couple of things:

1/ Recent discussion (different draft) on the importance of the IAOC 
implementing IETF (and IAB) policy and admin requirements; not having 
the IAOC *setting* those requirements;

2/ Suggesting that the IAB & IETF Chairs should not be on the IAOC.

As it stands the IETF Chair is in a unique position to understand all 
the requirements of the IETF community and IETF administrative 
activities.  There isn't someone else who can step in: all other IESG 
members are tasked, as a primary responsibility, with looking after 
their particular areas.

The IAB Chair similarly sits at the confluence of all the issues hitting 
the IAB, and is specifically responsible for tracking them so that they 
get addressed by the IAB.  While the IAB Chair can, in theory, delegate 
actions on particular topics, it at least used to be the case that some 
tasks are too tricky or unappealing to get other involvement(too admin, 
not enough architectural content).  And, even with successful delegation 
of individual tasks, the IAB Chair retains the perspective across all 
the activities -- technical, IANA, RFC Editor, etc.

I'm not going to disagree that the jobs are heavily loaded, and that 
it's a problem for the IETF that the organization relies heavily on 
finding a solid candidate for each of these complex positions.

However, I think taking them off the IAOC is *not* the place to start. 
   It makes more sense to me to sort out the organizational challenges 
(of the IESG/IETF, and of the IAB) that cause overloading of these 
positions, and *then* see what makes sense in terms of identifying IAOC 
participation.

Pulling these positions off the IAOC would succeed in weakening the 
IAOC, even as it increases the stress levels in the positions as the 
respective Chairs try to figure out what is going on with the 
administrative support for the balls they are trying to keep moving.

My $0.02cdn

Leslie.

Brian E Carpenter wrote:
> Hi,
> 
> Is this the correct list for discussing draft-klensin-iaoc-member?
> 
>>    o  workload and full-time positions
>>       Even without IAOC and Trustee roles, the IETF Chair and IAB Chair
>>       roles require considerable time and effort.  
> 
> This has been true for many years of the IETF Chair role. Indeed one
> of the main motivations for creating the IAOC and IAD roles was
> to tackle this. From personal experience, as the IETF Chair who
> bridged the changeover, there is no doubt in my mind that this
> changed the IETF Chair job from essentially impossible to reasonably
> possible. So it was a success in this respect. If anyone's interested
> in how I thought about the workload at that time, see:
> http://tools.ietf.org/html/draft-carpenter-ietf-chair-tasks
> The question I have (as I did when writing that draft) is whether
> any further organisational change would have a *significant* effect
> on the IETF Chair workload. More on that below.
> 
> My feeling is that the IAB Chair role has grown in recent times,
> and not in the sense of being able to spend more time on
> Internet Architecture. That seems like a Bad Thing. To some
> extent this is a short term effect due to the need to reorganise
> the RFC Editor service, which is a clear IAB non-architecture
> responsibility. However, it generates the same question about
> organisational change.
> 
>>    In addition, it is useful to clarify the role of the IAB and IESG
>>    representatives by making them (and the chairs, if different) non-
>>    voting liaisons.  
> 
> That statement doesn't seem to be justified by anything above. Why is
> it useful, and what is unclear about their present (voting) roles?
> I'm missing a few steps in the argument.
> 
>>    ...  This reduces the requirement that IAB and/or IESG
>>    members be selected for the specific types of expertise needed on the
>>    IAOC and Trustees.  
> 
> NomCom has major difficulty in this anyway. We need IAOC members with good
> technical and community understanding *and* the IAOC/Trustee skills. This
> seems essentially unfixable to me.
> 
> Also, it isn't discussed in the draft that by removing two voting members,
> the IAOC quorum becomes quite a bit smaller and the concentration of power
> perhaps too great. Wouldn't we want to add at least one regular member,
> which would make the NomCom task even harder?
> 
>>    o  If one or both of the liaisons specified immediately above are not
>>       the IAB Chair or IETF Chair, those individuals have permanent
>>       liaison status with the IAOC (and Trustees): they are not expected
>>       to attend meetings on a regular basis, but may do so and may not
>>       be excluded from any meeting, even executive sessions.
> 
> Two points on this:
> 
> 1. One possible effect of this is to add two people to every
> IAOC or Trust meeting. That doesn't seem like workload reduction.
> 
> 2. In any case, it seems to me to be unrealistic to imagine that an
> IETF Chair would drop out of IAOC participation; in fact I would regard
> it as downright irresponsible to do so. Being non-voting would perhaps
> reduce formal responsibility, or even legal liability, but the IETF Chair
> should still read everything and debate everything. So I think the workload
> reduction is illusory. The IAB Chair might be able to step back from
> some matters, but not when the IAB's oversight areas (IANA and RFC Editor)
> are concerned.
> 
> Bottom line: I don't see this change as producing a significant net gain,
> unless there are arguments that I've missed.
> 
>     Brian
> _______________________________________________
> Ietf mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ietf

-- 

-------------------------------------------------------------------
"Reality:
      Yours to discover."
                                 -- ThinkingCat
Leslie Daigle
[email-masked]
-------------------------------------------------------------------

---

From: John C Klensin <[email-masked]>
Date: Wed, 02 Sep 2009 14:38:19 -0400

--On Tuesday, September 01, 2009 18:06 -0400 Leslie Daigle
<[email-masked]> wrote:

> 1/ Recent discussion (different draft) on the importance of
> the IAOC implementing IETF (and IAB) policy and admin
> requirements; not having the IAOC *setting* those requirements;
> 

Leslie,

Let me try a little different perspective on this because I see
both different issues and a more complex set of tradeoffs than
your note implies.

First and most important, the draft doesn't say "the IETF and
IAB Chairs cannot serve on the IAOC".  It eliminates that
function as a _requirement_ of their roles.  If the people
holding those positions, in conjunction, respectively, with the
IESG or IAB conclude that the Chairs have the time to do the job
well and are, in your words, "in a unique position...", then
nothing prevents them from _deciding_ to preserve the status quo.

The problem is that we are turning those roles into full time
(or more) jobs.  I believe the IETF Chair role has already
passed that point and that the IAB Chair one is rapidly moving
in that direction.  That is not, IMO, healthy for the IETF
because, while we may get lucky sometimes, in general people who
can take on full-time-or-more, IETF-uncompensated, IETF roles
are different from those of us who need to perform "day jobs"
while doing IETF work in whatever fractional time, or spare
time, is available.  Requiring that the roles be full time
reduces the number of possible candidates, which reduces Nomcom
choices, etc.  It also tends to reinforce all of the trends that
lead to isolation of the IESG and IAOC from the community (I'll
avoid explaining that hypothesis at length unless it becomes
necessary).

And the document explicitly allows the IAB and/or IETF Chair to
sit in on IAOC meetings and teleconferences if (i) the IAB or
IESG decide to appoint someone else to the more permanent
positions (people who are expected to participate actively and
consistently) and (ii) the relevant Chair decides, possibly on
the advice of other IAOC members but without any requirement for
IAOC consensus agreement, that attendance when a specific matter
is being discussed is important.

So the only differences between what you are arguing and what
the document suggests are:

-- You apparently think that the participation in the IAOC and
Trustees of the two Chairs is so important --always-- that, if
time is limited, they need to put those responsibilities ahead
of everything else.   The document proposes to let the
individuals involved and the bodies on which they serve make
that decision in a way that best serves the community and to
review it as they deem necessary.

-- While I certainly agree that there are some issues that will
come before the IAOC and/or Trustees in which the direct
involvement of one or both Chairs is important, I don't believe
that is true of every discussion and every decision.  Again, I
think that decision should be left to the relevant individuals
(who are free to look at IAOC or Trustee agendas and decide to
sit in), to the relevant bodies, and to the IAOC (who can always
specifically invite participation in a particular discussion),
while your position effectively takes those decisions and turns
them over to an organizing document.

-- Conversely, some decisions and discussions of the IAOC and
Trustees may involve topics for which the the IETF and IAB
Chairs are neither particular qualified or particularly
interested.  Certainly Nomcoms are not considering in-depth
financial planning skills or great experience with IPR issues
(or interest in either) as primary considerations in selecting
IETF Chairs or IAB members (and I would hope that they would
continue to avoid doing that).  Again, it seems to me to be
better to let the incumbents in those roles sort out the
tradeoffs and best choices with their respective bodies than to
force a choice in the organizing documents.

Having people in the IAOC and Trustee positions who want to do
them and have the bandwidth to do so should strengthen those
bodies (whether those people are the Chairs or not), rather than
risking having a disinterested Chair serving because it a job
that cannot be escaped.

Finally, and I believe that the above arguments stand whether or
not you believe this (and the choice is up to the IESG and IAB
in any event), I have trouble accepting the "unique position"
argument until we believe that those two people are serving on
the IAOC/Trustees as individuals with no obligation to consult
with the relevant bodies.  I don't read BCP 101 as contemplating
that and would find it extremely problematic if interpreted that
way.  If they are actually expected to represent the
perspectives of the IAB and IESG, as I believe, then the Chairs
aren't inherently more "uniquely" qualified than any other
member of those bodies or, in principle, a non-member liaison
who maintains a very close relationship.  And, again, the goal
of the document is to give the IAB and IESG those choices,
rather than assuming that a single choice will be optimal every
year and on every occasion.

To your specific comments...

> As it stands the IETF Chair is in a unique position to
> understand all the requirements of the IETF community and IETF
> administrative activities.  There isn't someone else who can
> step in: all other IESG members are tasked, as a primary
> responsibility, with looking after their particular areas.

And the IETF Chair was a full time job even before the IAOC came
along.  Whatever was taking up that time, I think one can
equally argue from it that the IETF Chair is equally "fully
tasked".  The decision should be left up to the IESG on the
basis of who has the time, skills, and interest.   I predict
that the choice will often fall on the Chair, but believe the
decision should be left up to the IESG rather than being rigidly
specified for all time based on, e.g., the above model of who
has time and energy.

> The IAB Chair similarly sits at the confluence of all the
> issues hitting the IAB, and is specifically responsible for
> tracking them so that they get addressed by the IAB.  While
> the IAB Chair can, in theory, delegate actions on particular
> topics, it at least used to be the case that some tasks are
> too tricky or unappealing to get other involvement(too admin,
> not enough architectural content).  And, even with successful
> delegation of individual tasks, the IAB Chair retains the
> perspective across all the activities -- technical, IANA, RFC
> Editor, etc.

Same comment above, only more so.  

> I'm not going to disagree that the jobs are heavily loaded,
> and that it's a problem for the IETF that the organization
> relies heavily on finding a solid candidate for each of these
> complex positions.
> 
> However, I think taking them off the IAOC is *not* the place
> to start.    It makes more sense to me to sort out the
> organizational challenges (of the IESG/IETF, and of the IAB)
> that cause overloading of these positions, and *then* see what
> makes sense in terms of identifying IAOC participation.

While I look forward to specific proposals from you in those
areas, I want to stress that this proposal doesn't take anyone,
in any role, off the IAOC or Trustees.  It merely lets the IESG
and IAB make decisions that are appropriate to the circumstances
and cast of characters each time.

> Pulling these positions off the IAOC would succeed in
> weakening the IAOC, even as it increases the stress levels in
> the positions as the respective Chairs try to figure out what
> is going on with the administrative support for the balls they
> are trying to keep moving.

See above.   If the IAOC members --whomever they might be-- are
keeping the IAB and IESG adequately informed, your comment is,
IMO, just wrong.   If they are not, then we have other problems
but the solution to those problems certainly cannot be to enable
the Chairs to behave less like IETF participants and more like
imperial powers.

     john